# Notices for 'Eclipse Keyple' Java implementation

This content is produced and maintained by the Eclipse Keyple project.

 * Project home: https://projects.eclipse.org/projects/iot.keyple
 
## Supported platforms
- Java SE 1.6 compact2
- Android 4.4 KitKat API level 19

## keyple-java repositories structure

- keyple-core: source and unit tests for the SeProxy module.
- keyple-calypso: source and unit tests for the Calypso library.
- keyple-plugin: source and unit tests for the different plugins: smartcard.io PC/SC, Stub, Android NFC, Android OMAPI, etc.
- example: source for the generic and Calypso implementation examples.
- keyple-integration: source for the integration code (SDK).

## Trademarks
 
 * Eclipse Keyple and the Eclipse Keyple project are Trademarks of the Eclipse Foundation, Inc.
 * Eclipse® is a Trademark of the Eclipse Foundation, Inc.
 * Eclipse Foundation is a Trademark of the Eclipse Foundation, Inc.
 
## Copyright

All content is the property of the respective authors or their employers.
For more information regarding authorship of content, please consult the
listed source code repository logs.

## Declared Project Licenses

This program and the accompanying materials are made available under the terms
of the Eclipse Public License v. 2.0 which is available at
http://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html

SPDX-License-Identifier: EPL-2.0

## Source Code

The project maintains the following source code repositories:

* https://github.com/eclipse/keyple
* https://github.com/eclipse/keyple-website
* https://github.com/eclipse/keyple-java
* https://github.com/eclipse/keyple-cpp
* https://github.com/eclipse/keyple-ops
 
## Contributors
   *   Pierre Terrée - API specification
   *   Jean-Pierre Fortune - Keyple Core, Keyple Calypso, PCSC plugin and Stub plugin
   *   Olivier Delcroix - Keyple Distributed and Android plugins
   *   Florent Clairambault - Keyple Core
   *   Paulo Barreto - Integration and Demo apps
   *   Meddy Menzikoff - Android plugins and Examples
   *   Andrei Cristea - Keyple Core, Keyple Distributed and Keyple Calypso
   *   Youssef Amrani - Android plugins and demo apps
   *   Brice Ruppen - DevOps
   
## Third-party Content

Google Gson (2.2.4)

 * License: Apache License, 2.0

SLF4J API (1.7.25)

 * License: MIT License

Mokito API (2.13.0)

 * License: MIT License

Junit (4.12)

 * License: Eclipse Public License, 2.0

####Specific for Android plugins

SEEK for Android (plugin OMAPI) (3.2):

 * License: Apache Software License, 2.0

Android Open Source Project

 * License: Apache Software License, 2.0
 
Timber (4.7.1):
 
 * Licence: Apache Software License, 2.0

slf4j Timber (3.1):
 
 * Licence: Apache Software License, 2.0
 
Mockk (1.9): 
 
 * Licence: Apache Software License, 2.0
 
Kotlin Standard Library (1.3.50):
  
  * Licence: Apache Software License, 2.0
 
Kotlinx Coroutines core (1.3.3):
 
 * Licence: Apache Software License, 2.0